Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteProfileManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteProfileManager

extends java.rmi.Remote

Method Summary
`void` | `addProfile(java.lang.String profileName, java.util.Properties prop, java.lang.String submitter)` Add a profile, using specified profile name.
`java.lang.String[]` | `getAllProfileNames()` Get all predefined profile names.
`java.util.Properties` | `getDefaultProfile()` Get built-in default profile, which contains full functions.
`java.util.Properties` | `getProfile(java.lang.String profileName)` Get a profile by specified profile name.
`void` | `removeProfile(java.lang.String profileName, java.lang.String submitter)` Remove specified profile.
`void` | `updateProfile(java.lang.String profileName, java.util.Properties prop, java.lang.String submitter)` Update a profile using specified function list.

Method Detail

### addProfile

    void addProfile(java.lang.String profileName,
                    java.util.Properties prop,
                    java.lang.String submitter)
                    throws java.rmi.RemoteException

  Add a profile, using specified profile name.

  Parameters:
    `profileName` - the specified profile name.
    `prop` - a `Properties` object that contains predefined functions of profile.
    `submitter` - the user who request the operation, only adminstartor has permission to perform it.
  Throws:
    `RptServerException` - if a `RptServerException` occurs
    `java.rmi.RemoteException`

### removeProfile

    void removeProfile(java.lang.String profileName,
                       java.lang.String submitter)
                       throws java.rmi.RemoteException

  Remove specified profile.

  Parameters:
    `profileName` - the profile name.
    `submitter` - the user who request the operation, only administrator hs permission to perform it.
  Throws:
    `RptServerException` - if a `RptServerException` occurs.
    `java.rmi.RemoteException`

### updateProfile

    void updateProfile(java.lang.String profileName,
                       java.util.Properties prop,
                       java.lang.String submitter)
                       throws java.rmi.RemoteException

  Update a profile using specified function list.

  Parameters:
    `profileName` - the profile name
    `prop` - a `Properties` object that contains predefined fuctions need to update to profile.
    `submitter` - the user who request the operation, only administrator has permission to perform it.
  Throws:
    `RptServerException` - if a `RptServerException` occurs.
    `java.rmi.RemoteException`

### getAllProfileNames

    java.lang.String[] getAllProfileNames()
                                          throws java.rmi.RemoteException

  Get all predefined profile names.

  Returns:
    A `String` array that contains all predefined profile names.
  Throws:
    `java.rmi.RemoteException`

### getProfile

    java.util.Properties getProfile(java.lang.String profileName)
                                    throws java.rmi.RemoteException

  Get a profile by specified profile name.

  Returns:
    A `Properties` object that contains predefined functions of profile.
  Throws:
    `java.rmi.RemoteException`

### getDefaultProfile

    java.util.Properties getDefaultProfile()
                                           throws java.rmi.RemoteException

  Get built-in default profile, which contains full functions.

  Returns:
    A `Properties` object that contains full functions.
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD